import { Request, Response } from 'express';
import { defaultPaginationDto } from '../shared/shared.dto';
import { createEmployementTypeDto, updateEmployementTypeDto } from './employement_types.dto';
import { EmployementTypesService } from './employement_types.service';
export declare class EmployementTypesController {
    private readonly service;
    constructor(service: EmployementTypesService);
    create(data: createEmployementTypeDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    filteredEmployementTypes(query: defaultPaginationDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    find(employementTypeId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    update(employementTypeId: string, owner_id: string, data: updateEmployementTypeDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(employementTypeId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
